Subject: bug#16231: [PATCH 0/9] Refactored loop fixes

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 8 May 2014 08:22:22 -0700

On Wed, May 07, 2014 at 09:32:45PM -0400, Phillip Susi wrote:
> On 05/07/2014 06:49 PM, Brian C. Lane wrote:
> > NAK. These make a pile of the tests fail:
> > 
> > ========================================== GNU parted 3.1:
> > tests/test-suite.log ========================================== #
> > TOTAL: 77 # PASS:  27 # SKIP:  35 # XFAIL: 0 # FAIL:  15 # XPASS:
> > 0 # ERROR: 0 .. contents:: :depth: 2
> > 
> > looks like at least one core dump in the mix.
> 
> Something weird is going on.. as I mentioned before, I get that odd
> gnulib error after the first 3 sector size passes in a make check that
> seems to be a bug in the build scripts, but the first three all pass:
> 
> ============================================================================
> Testsuite summary for GNU parted 3.1.98-c457
> ============================================================================
> # TOTAL: 77
> # PASS:  63
> # SKIP:  13
> # XFAIL: 1
> # FAIL:  0
> # XPASS: 0
> # ERROR: 0
> 
> make[1]: Leaving directory `/home/psusi/parted'
>   GEN      public-submodule-commit
> Stopping at 'gnulib'; script returned non-zero status.
> maint.mk: found non-public submodule commit
> make: *** [public-submodule-commit] Error 1
> 
> And then I manually run make check-recursive to get the 512 byte
> sector size:
> 
> ============================================================================
> Testsuite summary for GNU parted 3.1.98-c457
> ============================================================================
> # TOTAL: 77
> # PASS:  75
> # SKIP:  1
> # XFAIL: 1
> # FAIL:  0
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> 
> Can you look into why/what fails on your system?  I also notice yours
> says version 3.1 while mine is 3.1.98-c457.  Did you check out 3.1
> instead of master and then not run bootstrap/configure after applying
> the patches?

That's weird (and troubling that the tests wouldn't fail the same). I
applied them to my fedora-21 branch and ran them via a mockbuild as a
first level test. My branch is only different from master by those few
test fixup patches that I sent a few weeks ago.

I'll take a deeper look at it when I get a chance, maybe not until
Monday.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)